using System.Web.Http;
using iiie.Logs.DataAccess;

namespace iiie.WebApiUtils.BusinessManager
{
    public static class WebApiUtils
    {
        public static void Config()
        {
            Logger.Config();
            GlobalConfiguration.Configuration.Filters.Add(new ExceptionLoggerAttribute());
            GlobalConfiguration.Configuration.Filters.Add(new CheckModelForNullAttribute());
            GlobalConfiguration.Configuration.Filters.Add(new ValidateModelStateAttribute());
        }
    }
}
